=== modified file 'bzrlib/tests/test_win32utils.py'
--- bzrlib/tests/test_win32utils.py	2007-07-18 21:52:35 +0000
+++ bzrlib/tests/test_win32utils.py	2007-07-22 20:21:10 +0000
@@ -16,7 +16,7 @@
 
 import sys
 
-from bzrlib.tests import TestCaseInTempDir, Feature
+from bzrlib.tests import TestCase, TestCaseInTempDir, Feature
 from bzrlib.win32utils import glob_expand
 
 
@@ -36,12 +36,19 @@
 
 # Tests
 # -----
-   
+
+class TestWin32Feature(TestCase):
+    
+    def test_available(self):
+        self.assertEqual(sys.platform == 'win32', Win32Feature.available())
+        
+    def test_str(self):
+        self.assertTrue("platform" in str(Win32Feature))
+
+
 class TestWin32UtilsGlobExpand(TestCaseInTempDir):
 
-    def setUp(self):
-        super(TestWin32UtilsGlobExpand, self).setUp()
-        self.requireFeature(Win32Feature)
+    _test_needs_features = [Win32Feature]
    
     def test_empty_tree(self):
         self.build_tree([])

=== modified file 'bzrlib/win32utils.py'
--- bzrlib/win32utils.py	2007-07-18 20:15:27 +0000
+++ bzrlib/win32utils.py	2007-07-22 20:21:10 +0000
@@ -264,7 +264,6 @@
             expanded_file_list.append(possible_glob)
         else:
             expanded_file_list += glob_files
-    expanded_file_list = map(lambda x: x.replace('\\', '/'), expanded_file_list)
-    return expanded_file_list
+    return [elem.replace('\\', '/') for elem in expanded_file_list] 
 
 

